[Ffmpeg-devel] BUG: x264 and pthreads

Måns Rullgård mru
Sat Aug 5 21:37:05 CEST 2006

Joshua Boyd <jdboyd at jdboyd.net> writes:

> FFmpeg requires pthreads when using x264.  --enable-x264 alone fails,
> but --enable-x264 and --enable-pthreads works.

If x264 is built as a static library with pthread support, ffmpeg also
needs pthreads enabled.

The configure script could of course try to figure out if this is the
case.  Right now, I don't have time to look at that.

M?ns Rullg?rd
mru at inprovide.com

More information about the ffmpeg-devel mailing list